Consultar métricas do template
curl --request GET \
--url https://api.ararahq.com/v1/templates/{id}/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/templates/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/templates/{id}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/templates/{id}/analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"templateId": "a7f3c1e2-4b5d-6789-abcd-ef0123456789",
"templateName": "pedido_confirmado",
"period": "30d",
"sent": 1250,
"delivered": 1230,
"read": 890,
"failed": 10,
"deliveryRate": "97.6",
"readRate": "70.6"
}Templates
Consultar métricas do template
Enviadas, entregues, lidas e falhas do template no período. sent soma
enviadas, entregues e lidas. As taxas vêm como string com 1 casa
decimal, calculadas sobre sent + failed. Permissão: READ.
GET
/
v1
/
templates
/
{id}
/
analytics
Consultar métricas do template
curl --request GET \
--url https://api.ararahq.com/v1/templates/{id}/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/templates/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/templates/{id}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/templates/{id}/analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"templateId": "a7f3c1e2-4b5d-6789-abcd-ef0123456789",
"templateName": "pedido_confirmado",
"period": "30d",
"sent": 1250,
"delivered": 1230,
"read": 890,
"failed": 10,
"deliveryRate": "97.6",
"readRate": "70.6"
}Authorizations
Chave de API da Arara (ara_live_...), enviada no header Authorization: Bearer ara_live_.... Crie e gerencie as chaves no painel: https://app.ararahq.com/dashboard/apikeys. O valor completo aparece uma única vez, na criação.
Path Parameters
ID do template (UUID). O nome não é aceito aqui.
Query Parameters
Valor fora da lista é tratado como 30d.
Available options:
7d, 30d, 90d Response
Métricas
Soma de enviadas, entregues e lidas.
Percentual com 1 casa decimal, como string (ex. "97.6"), calculado sobre sent + failed.
Percentual com 1 casa decimal, como string.